org.custommonkey.xmlunit

## Class IgnoreTextAndAttributeValuesDifferenceListener

- java.lang.Object
- - org.custommonkey.xmlunit.IgnoreTextAndAttributeValuesDifferenceListener

All Implemented Interfaces:
  DifferenceListener

    public class IgnoreTextAndAttributeValuesDifferenceListener
    extends java.lang.Object
    implements DifferenceListener

Class to use when performing a Diff that only compares the structure of 2 pieces of XML, i.e. where the values of text and attribute nodes should be ignored.

See Also:
  `Diff.overrideDifferenceListener(org.custommonkey.xmlunit.DifferenceListener)`

### Field Summary

### Fields inherited from interface org.custommonkey.xmlunit.DifferenceListener

`RETURN_ACCEPT_DIFFERENCE, RETURN_IGNORE_DIFFERENCE_NODES_IDENTICAL, RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR, RETURN_UPGRADE_DIFFERENCE_NODES_DIFFERENT`

### Constructor Summary

Constructors
Constructor and Description
`IgnoreTextAndAttributeValuesDifferenceListener()`

### Method Summary

Methods
`int` `differenceFound(Difference difference)` Receive notification that 2 nodes are different.
`void` `skippedComparison(org.w3c.dom.Node control, org.w3c.dom.Node test)` Do nothing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreTextAndAttributeValuesDifferenceListener

    public IgnoreTextAndAttributeValuesDifferenceListener()

### Method Detail

#### differenceFound

    public int differenceFound(Difference difference)

Description copied from interface: `DifferenceListener`
Receive notification that 2 nodes are different.

Specified by:
  `differenceFound` in interface `DifferenceListener`
Parameters:
  `difference` - a Difference instance as defined in `DifferenceConstants` describing the cause of the difference and containing the detail of the nodes that differ
Returns:
  RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR to ignore differences in values of TEXT or ATTRIBUTE nodes, and RETURN_ACCEPT_DIFFERENCE to accept all other differences.
See Also:
  `DifferenceListener.differenceFound(Difference)`

#### skippedComparison

    public void skippedComparison(org.w3c.dom.Node control,
                         org.w3c.dom.Node test)

Do nothing

Specified by:
  `skippedComparison` in interface `DifferenceListener`
Parameters:
  `control` - the control node being compared
  `test` - the test node being compared
See Also:
  `DifferenceListener.skippedComparison(Node, Node)`